Bug 124058 - Bitmap dialog in table properties dialog slightly cramped (gen)
Summary: Bitmap dialog in table properties dialog slightly cramped (gen)
Status: VERIFIED FIXED
Alias: None
Product: LibreOffice
Classification: Unclassified
Component: Writer (show other bugs)
Version:
(earliest affected)
6.2.0.0.alpha1+
Hardware: All All
: medium minor
Assignee: Caolán McNamara
URL:
Whiteboard: target:6.3.0
Keywords: bibisected, bisected, regression
Depends on:
Blocks: Writer-Table-Properties-Dialog
  Show dependency treegraph
 
Reported: 2019-03-13 14:16 UTC by Telesto
Modified: 2019-03-18 20:06 UTC (History)
3 users (show)

See Also:
Crash report or crash signature:


Attachments
Screenshot (71.81 KB, image/png)
2019-03-13 14:17 UTC, Telesto
Details

Note You need to log in before you can comment on or make changes to this bug.
Description Telesto 2019-03-13 14:16:53 UTC
Description:
Bitmap dialog in table proper slightly cramped

Steps to Reproduce:
1. Insert a table
2. Table -> Properties -> Background -> Bitmap

Actual Results:
Clipping/cramped dialog

Expected Results:
Better alignment


Reproducible: Always


User Profile Reset: No



Additional Info:
Version: 6.3.0.0.alpha0+
Build ID: ce01727e4d6779ea128aa1be09f4af8cad4e1854
CPU threads: 4; OS: Windows 6.3; UI render: default; VCL: win; 
Locale: nl-NL (nl_NL); UI-Language: en-US
Calc: threaded
Comment 1 Telesto 2019-03-13 14:17:51 UTC
Created attachment 149937 [details]
Screenshot
Comment 2 Dieter 2019-03-13 19:51:03 UTC
I confirm it with

Version: 6.3.0.0.alpha0+ (x64)
Build ID: 91cdf22b88a4f7bec243c8fb187627e766d3294c
CPU threads: 4; OS: Windows 10.0; UI render: default; VCL: win; 
TinderBox: Win-x86_64@42, Branch:master, Time: 2019-03-08_00:38:10
Locale: en-US (de_DE); UI-Language: en-US
Calc: threaded

but not with

Version: 6.1.5.2 (x64)
Build ID: 90f8dcf33c87b3705e78202e3df5142b201bd805
CPU threads: 4; OS: Windows 10.0; UI render: default; 
Locale: de-DE (de_DE); Calc: group threaded
Comment 3 Xisco Faulí 2019-03-14 19:57:53 UTC
Regression introduced by:

https://cgit.freedesktop.org/libreoffice/core/commit/?id=0b3ca6a1fa6bbbbd2eaaf97254fd1d45e2ac7b3a

author	Caolán McNamara <caolanm@redhat.com>	2018-09-24 16:39:18 +0100
committer	Caolán McNamara <caolanm@redhat.com>	2018-09-28 14:03:24 +0200
commit	0b3ca6a1fa6bbbbd2eaaf97254fd1d45e2ac7b3a (patch)
tree	2b22f863b72463bebb8b26225f378aea0fefddb1
parent	68de1021353902d48ddd712f5e6fedc51c57936d (diff)
weld SvxNumberFormatTabPage

bisected with: bibisect-linux64-6.2 

Adding Cc: to Caolán McNamara
Comment 4 Caolán McNamara 2019-03-16 20:46:46 UTC
The bitmap button is initially hidden so the size of that page isn't factored in to the size request, it gets added later
Comment 5 Commit Notification 2019-03-16 23:37:14 UTC
Caolán McNamara committed a patch related to this issue.
It has been pushed to "master":

https://git.libreoffice.org/core/+/c9a3d679c630e8cc9a82ad2d84b726748e5d314f%5E%21

Resolves: tdf#124058 factor bitmap page into size req when its toggled on

It will be available in 6.3.0.

The patch should be included in the daily builds available at
https://dev-builds.libreoffice.org/daily/ in the next 24-48 hours. More
information about daily builds can be found at:
https://wiki.documentfoundation.org/Testing_Daily_Builds

Affected users are encouraged to test the fix and report feedback.
Comment 6 Caolán McNamara 2019-03-16 23:40:12 UTC
fixed in master, a few backports merged together in gerrit for 6-2
Comment 7 Xisco Faulí 2019-03-18 20:06:31 UTC
Verified in

Version: 6.3.0.0.alpha0+
Build ID: a11a2d84b09f85d2020c47f3ce42cd9efbff818a
CPU threads: 4; OS: Linux 4.15; UI render: default; VCL: x11; 
Locale: ca-ES (ca_ES.UTF-8); UI-Language: en-US
Calc: threaded

@Caolán, thanks for fixing this issue!